Site crash after activating Types


#1

Hello,

I am using the Moesia theme that requires the Types plug-in, but when I activate the plug-in the entire site crashes, with the following error:

Fatal error: ‘break’ not in the ‘loop’ or ‘switch’ context in /var/www/lonerosenkilde.dk/public_html/wp-content/plugins/types/embedded/common/toolset-forms/lib/adodb-time.inc.php on line 1012

Please help,
Many thanks


#2

Hi,

I have tested the theme with the latest Types plugin version v1.8.11 and it didn’t cause any conflicts, please try to deactivate all your other plugins and install only the recommended plugins ( PageBuilder & Types ).

Best Regards,
Csaba


#3

I only have the two recommended plugins installed and when I activate the Types plugin the entire site failed.

I have now removed everything on the site, made a fresh Wordpress install with Twenty Sixteen theme, installing the Types plugin and as soon as I activate it, the entire site fails…

The site is unoeuro.com

I am using the Moesia theme (as a sandbox) on a One.com site without any problems…

So it might be unoeuro that has the problem…

Thanks
Sonny


#4

Hi,

Yes, maybe that site have something wrong, or maybe the plugin version you installed, if it generate the error with a default WordPress.org theme too, so try to re-download a fresh copy of the plugin, from here: https://wordpress.org/plugins/types/ and install it.

Best Regards,
Csaba


#5

Apparently its because the unoeuro webserver is running PHP7, do you believe this could be the issue?

Thanks
Sonny


#6

Hi,

Yes, maybe, please get in touch with the developer of the plugin and let them know about this issue.

Best Regards,
Csaba


#7

Hi, I have the same problem using the theme Sydney.

Is there any solution to this?

// Frida


#8

Hi,

Maybe you have the same issue with your php version, please get in touch with your hosting provider.

Best Regards,
Csaba


#9

Hi,

I added the following to the .htaccess file

AddType application/x-httpd-php-old.php


#10

Hi Lone,

That resolved this issue for you?

Best Regards,
Csaba


#11

Yes, it did, but I think the Types plug-in is now compliant with PHP7.

Best regards
Lone


#12

Hi,

Ok, Great! I’m glad it’s resolved! If you need help with anything else, please open a new topic.

Have a nice day!

Best Regards,
Csaba